Page 2 of 2 FirstFirst 12
Results 11 to 17 of 17

Thread: Flash plugin issues

  1. #11
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: FLASH-AID: remove conflicting plugins and install proper flash plugin version

    Quote Originally Posted by Superluke View Post
    There you go...
    Close Firefox, then run these:

    Code:
    sudo rm /usr/bin/firefox
    Code:
    sudo dpkg-divert --rename --remove /usr/bin/firefox
    Start Firefox, check the version and if plugins are loaded.

  2. #12
    Join Date
    Oct 2009
    Location
    Canada
    Beans
    28
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: FLASH-AID: remove conflicting plugins and install proper flash plugin version

    Quote Originally Posted by lovinglinux View Post
    Close Firefox, then run these:

    Code:
    sudo rm /usr/bin/firefox
    Code:
    sudo dpkg-divert --rename --remove /usr/bin/firefox
    Start Firefox, check the version and if plugins are loaded.

    Woohoo! That worked perfectly, I have Flash again ... but ... now I'm getting a bunch of:

    Code:
    (firefox-bin:8494): Gdk-WARNING **: XID collision, trouble ahead
    and then a crash... randomly. Nothing to do with your add-on, which now works flawlessly. Thanks so much for your help! My wife doesn't have to boot to Windows to play Farmville now!

  3. #13
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: FLASH-AID: remove conflicting plugins and install proper flash plugin version

    Quote Originally Posted by Superluke View Post
    Woohoo! That worked perfectly, I have Flash again ... but ... now I'm getting a bunch of:

    Code:
    (firefox-bin:8494): Gdk-WARNING **: XID collision, trouble ahead
    and then a crash... randomly. Nothing to do with your add-on, which now works flawlessly. Thanks so much for your help! My wife doesn't have to boot to Windows to play Farmville now!
    First lets remove the extra Firefox you have installed:

    Code:
    sudo rm -r /opt/firefox
    Restart Firefox and tell me what version do you have.

    If you don't mind, I will ask a moderator to delete our post exchange from this thread, because it is not relevant to the discussion. I should have asked you to create a new thread instead of posting here, but I didn't imagine the issue would require so many attempts to fix it. Anyway, please create a new thread so I can continue to help with the new problem.

    BTW, would be really nice if you could rectify your review about my extension at Mozilla. I normally wouldn't ask that, but since you gave it one star and the problem wasn't actually my extension, then would be really nice if you could do that. The real problem was that you diverted your Firefox to an older version downloaded manually and installed under /opt/firefox. Probably you didn't make the proper symlinks to the real plugins folder, so even after installing flash, that version of Firefox couldn't find it.

  4. #14
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: Flash plugin issues

    Moved to its own thread.
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests / username changes by PM, thanks. |

  5. #15
    Join Date
    Oct 2009
    Location
    Canada
    Beans
    28
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: FLASH-AID: remove conflicting plugins and install proper flash plugin version

    Quote Originally Posted by lovinglinux View Post
    First lets remove the extra Firefox you have installed:

    Code:
    sudo rm -r /opt/firefox
    Restart Firefox and tell me what version do you have.

    If you don't mind, I will ask a moderator to delete our post exchange from this thread, because it is not relevant to the discussion. I should have asked you to create a new thread instead of posting here, but I didn't imagine the issue would require so many attempts to fix it. Anyway, please create a new thread so I can continue to help with the new problem.

    BTW, would be really nice if you could rectify your review about my extension at Mozilla. I normally wouldn't ask that, but since you gave it one star and the problem wasn't actually my extension, then would be really nice if you could do that. The real problem was that you diverted your Firefox to an older version downloaded manually and installed under /opt/firefox. Probably you didn't make the proper symlinks to the real plugins folder, so even after installing flash, that version of Firefox couldn't find it.
    It's 3.6.3 now... perfect. I can't seem to change my review... I guess I can post another one though I see what you mean. I wonder when I installed that other Firefox...

  6. #16
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: FLASH-AID: remove conflicting plugins and install proper flash plugin version

    Quote Originally Posted by Superluke View Post
    It's 3.6.3 now... perfect. I can't seem to change my review... I guess I can post another one though I see what you mean. I wonder when I installed that other Firefox...
    Thanks. Are you still experiencing crashes?

  7. #17
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: FLASH-AID: remove conflicting plugins and install proper flash plugin version

    Quote Originally Posted by Superluke View Post
    It's 3.6.3 now... perfect. I can't seem to change my review... I guess I can post another one though I see what you mean. I wonder when I installed that other Firefox...
    Thanks for the new positive review. I really appreciate it.

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •